# PetscOptionsGetEList

Puts a list of option values that a single one may be selected from

### Synopsis

    #include "petsc.h"
    PetscErrorCode  PetscOptionsGetEList(const char pre[],const char opt[],const char **list,PetscInt ntext,PetscInt *value,PetscTruth *set)

Not Collective

### Input Parameters

| pre | - the string to prepend to the name or PETSC_NULL
| opt | - option name
| list | - the possible choices
| ntext | - number of choices

### Output Parameter

| value | - the index of the value to return
| set | - PETSC_TRUE if found, else PETSC_FALSE

See PetscOptionsList() for when the choices are given in a PetscFList()

### See Also

PetscOptionsGetInt(), PetscOptionsGetReal(),
PetscOptionsHasName(), PetscOptionsGetIntArray(), PetscOptionsGetRealArray(), PetscOptionsTruth(), PetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), PetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), PetscOptionsTruthGroupBegin(), PetscOptionsTruthGroup(), PetscOptionsTruthGroupEnd(), PetscOptionsList(), PetscOptionsEList()

Level:intermediate
Location: src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages